repositories = {
    "3rdparty": {
        "path": "/home/medsrv/actualGIT/3rdparty"
    },
    "common": {
        "path": "/home/medsrv/actualGIT/common"
    },
    "epserver": {
        "path": "/home/medsrv/actualGIT/epserver"
    },
    "download": {
        "path": "/home/medsrv/actualGIT/download"
    },
}

components = {
    "plugins": {
        "repos": "download"
    },

    "viewer": {
        "repos": "download"
    },

    "viewerdefaults": {
        "repos": "download"
    },

    "launcher": {
        "repos": "download"
    },

    "apache": {
        "repos": "3rdparty",
        "deps": ["openssl", "pcre", "javakit"]
    },
    "curl": {
        "repos": "3rdparty",
        "deps": ["openssl"]
    },
    "exttools": {
        "repos": "3rdparty"
    },
    "imagemagick": {
        "repos": "3rdparty"
    },
    "javakit": {
        "repos": "3rdparty"
    },
    "mysql": {
        "repos": "3rdparty"
    },
    "openssl": {
        "repos": "3rdparty"
    },
    "pcre": {
        "repos": "3rdparty"
    },
    "boost": {
        "repos": "3rdparty"
    },
    "googletest": {
        "repos": "3rdparty"
    },
    "poco": {
        "repos": "3rdparty",
        "deps": ["openssl"]
    },
    "protobuf": {
        "repos": "3rdparty"
    },

    "drwatson": {
        "repos": "epserver"
    },
    "etc": {
        "repos": "epserver"
    },
    "log": {
        "repos": "epserver"
    },
    "medetc": {
        "repos": "epserver"
    },
    "sitespec": {
        "repos": "epserver"
    },
    "iconv": {
        "repos": "common"
    },
    "web": {
        "repos": "epserver",
        "deps": ["javakit", "apache", "protobuf"]
    },
    "backend": {
        "dirs": [
            {
                "repos": "common",
                "path": "dcmtk"
            },
            {
                "repos": "common",
                "path": "pbdcm"
            },
            {
                "repos": "common",
                "path": "imgproc"
            },
            {
                "repos": "common",
                "path": "gwav"
            },
            {
                "repos": "epserver",
                "path": "backend"
            }
        ],
        "deps": ["boost", "imagemagick", "javakit", "mysql", "openssl", "googletest", "poco", "protobuf"]
    },
    "taskd": {
        "dirs": [
            {
                "repos": "epserver",
                "path": "taskd"
            },
            {
                "repos": "epserver",
                "path": "web/taskd"
            },
            {
                "repos": "epserver",
                "path": "backend/taskd"
            }
        ],
        "deps": ["web", "backend"]
    },
}

multicomponents = [
    "backend",
    "web"
]

